<!DOCTYPE html>
<html xmlns:h="http://xmlns.jcp.org/jsf/html" xmlns:f="http://java.sun.com/jsf/core">
<h:head>
    <title>Create New Activity</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <h:outputStylesheet library="css" name="main.css"/>
    <h:outputStylesheet library="css" name="jquery-ui.css"/>
    <h:outputScript library="js" name="jquery-3.6.0.min.js"/>
    <h:outputScript library="js" name="main.js"/>
    <h:outputScript library="js" name="createActivity.js"/>
    <script>
    	function updateInfo(){
        	#{eventControl.type}=getValue();
        	console.log(#{eventControle.type});
        }
    </script>
</h:head>
<h:body>
    <h1>Create New Activity</h1>
    
    <h:form id="formRadio" enctype="multipart/form-data">
    	<h3>Type d'activité :</h3>
    	<h:selectOneRadio id="radio" value="#{eventControl.type}" style="display:flex;" onchange="createActivity(getValue());">
    		<f:selectItem itemValue="event" itemLabel="Evenement"/>
    		<f:selectItem itemValue="workshop" itemLabel="Atelier"/>
    		<f:selectItem itemValue="course" itemLabel="Cour"/>
    	</h:selectOneRadio>
        Name: <h:inputText name="name" value="#{eventControl.name}"/><br/>
        Place: <h:inputText name="place" value="#{eventControl.place}"/><br/>
        Description : <h:inputTextarea name="description" value="#{eventControl.description}"/>
        Nombre d'heures totale de l'activité : <h:inputText name="dureeTot" value="#{eventControl.maxTime}"/>
        <div id="frequence" style="display:none;">
	        Nombre de place maximum : <h:inputText name="maxPlace" value="#{eventControl.maxPlace}"/>
	        <p id="fre" style="display:none;">
		        Fréquence de recommencement : 
		        <h:selectOneMenu value="#{eventControl.frequence}">
		        	<f:selectItem itemValue="Unique" itemLabel="Unique"/>
		        	<f:selectItem itemValue="Hebdomadaire" itemLabel="Hebdomadaire"/>
		        	<f:selectItem itemValue="Mensuel" itemLabel="Mensuel"/>
		        	<f:selectItem itemValue="Annuel" itemLabel="Annuel"/>
		        </h:selectOneMenu>
	        </p>
        </div>
        <h:commandButton value="Add a new activity" action="#{eventControl.createNewEvent()}"/>
    </h:form>
</h:body>
</html>
